Bug 35477 - Web Inspector: disable breakpoint upon Shift-click.
Summary: Web Inspector: disable breakpoint upon Shift-click.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Pavel Feldman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-27 06:27 PST by Pavel Feldman
Modified: 2010-03-01 02:12 PST (History)
4 users (show)

See Also:


Attachments
[PATCH] Proposed fix. (5.27 KB, patch)
2010-02-27 06:32 PST, Pavel Feldman
timothy: review+
pfeldman: commit-queue+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2010-02-27 06:27:14 PST
- Also contains drive-by fix for line number gutter (it should have fixed width matching the maximum line number).
- Removes devtools code that has been upstreamed earlier.
Comment 1 Pavel Feldman 2010-02-27 06:32:43 PST
Created attachment 49681 [details]
[PATCH] Proposed fix.
Comment 2 Timothy Hatcher 2010-02-27 21:24:48 PST
Comment on attachment 49681 [details]
[PATCH] Proposed fix.

Why shift and not option/alt? I think option/alt is the more prefered key.

Is there another IDE that does this with shift?
Comment 3 Pavel Feldman 2010-02-28 07:39:37 PST
(In reply to comment #2)
> (From update of attachment 49681 [details])
> Why shift and not option/alt? I think option/alt is the more prefered key.
> 
> Is there another IDE that does this with shift?

Not exactly an IDE, but still:
http://getfirebug.com/wiki/index.php/Keyboard_and_Mouse_Shortcuts
Comment 4 Pavel Feldman 2010-03-01 02:12:20 PST
Committing to http://svn.webkit.org/repository/webkit/trunk ...
	M	WebCore/ChangeLog
	M	WebCore/inspector/front-end/ConsoleView.js
	M	WebCore/inspector/front-end/SourceFrame.js
	M	WebCore/inspector/front-end/textViewer.css
	M	WebKit/chromium/ChangeLog
	M	WebKit/chromium/src/js/DevTools.js
Committed r55364